Package fr.gouv.vitam.functional.administration.client

# Interface AdminManagementClient

All Superinterfaces:
  `AutoCloseable`, `MockOrRestClient`, `VitamAutoCloseable`

All Known Implementing Classes:
  `AdminManagementClientMock`

public interface AdminManagementClient extends MockOrRestClient
AdminManagementClient interface

- ## Method Summary

  Modifier and Type
  Method
  Description
  `jakarta.ws.rs.core.Response`
  `checkAgenciesFile(InputStream stream)`
  Check if agencies file is well formated
  `jakarta.ws.rs.core.Response`
  `checkFormat(InputStream stream)`
  `jakarta.ws.rs.core.Response`
  `checkRulesFile(InputStream stream)`
  Check if rule file is well formated
  `RequestResponse<AccessionRegisterSymbolic>`
  `createAccessionRegisterSymbolic(List<Integer> tenants)`
  Creates and return the accession register symbolic.
  `RequestResponse`
  `createArchiveUnitProfiles(List<ArchiveUnitProfileModel> archiveUnitProfileModelList)`
  Import a set of archive unit profile metadata.
  `jakarta.ws.rs.core.Response.Status`
  `createExternalOperation(LogbookOperationParameters logbookOperationparams)`
  Create external logbook operation entry
  `RequestResponse<AccessionRegisterDetailModel>`
  `createOrUpdateAccessionRegister(AccessionRegisterDetailModel register)`
  `RequestResponse`
  `createProfiles(List<ProfileModel> profileModelList)`
  Import a set of profile If all the profiles are valid, they will be stored in the collection and indexed The input is invalid in the following situations : The json is invalid The json contains 2 ore many profile having the same name One or more mandatory field is missing A field has an invalid format One or many profiles already exist in the database
  `jakarta.ws.rs.core.Response.Status`
  `deleteUnitExternalSchemas(List<String> paths)`
  Delete one or more external schemas by path(s)
  `jakarta.ws.rs.core.Response`
  `downloadProfileFile(String profileMetadataId)`
  Download the profile file according to profileMetadataId
  `RequestResponse<com.fasterxml.jackson.databind.JsonNode>`
  `evidenceAudit(com.fasterxml.jackson.databind.JsonNode queryDsl)`
  launch a traceability audit for the unit
  `RequestResponse<com.fasterxml.jackson.databind.JsonNode>`
  `exportProbativeValue(ProbativeValueRequest probativeValueRequest)`
  Launch an probative value export for the query
  `RequestResponse<AccessContractModel>`
  `findAccessContracts(com.fasterxml.jackson.databind.JsonNode queryDsl)`
  Find access contracts By id mongo By the name By comlexe criteria
  `RequestResponse<AccessContractModel>`
  `findAccessContractsByID(String documentId)`
  `RequestResponse<ArchiveUnitProfileModel>`
  `findArchiveUnitProfiles(com.fasterxml.jackson.databind.JsonNode query)`
  Find profiles according to the given json query (we can also use this method to find profile by identifier)
  `RequestResponse<ArchiveUnitProfileModel>`
  `findArchiveUnitProfilesByID(String id)`
  Find archive unit profile by technical id (id generated by the database)
  `RequestResponse<ContextModel>`
  `findContextById(String id)`
  Find context by id
  `RequestResponse<ContextModel>`
  `findContexts(com.fasterxml.jackson.databind.JsonNode queryDsl)`
  Find contexts
  `RequestResponse<GriffinModel>`
  `findGriffin(com.fasterxml.jackson.databind.JsonNode dslQuery)`
  `RequestResponse<GriffinModel>`
  `findGriffinByID(String id)`
  `RequestResponse<IngestContractModel>`
  `findIngestContracts(com.fasterxml.jackson.databind.JsonNode query)`
  `RequestResponse<IngestContractModel>`
  `findIngestContractsByID(String id)`
  `RequestResponse<com.fasterxml.jackson.databind.JsonNode>`
  `findJobs()`
  `RequestResponse<ManagementContractModel>`
  `findManagementContracts(com.fasterxml.jackson.databind.JsonNode queryDsl)`
  Find management contracts By id mongo By the name By comlexe criteria
  `RequestResponse<ManagementContractModel>`
  `findManagementContractsByID(String documentId)`
  `RequestResponse<OntologyModel>`
  `findOntologies(com.fasterxml.jackson.databind.JsonNode query)`
  Find ontologies according to the given json query (we can also use this method to find ontology by identifier)
  `RequestResponse<OntologyModel>`
  `findOntologyByID(String id)`
  Find the ontology by technical id (id generated by the database)
  `RequestResponse<PreservationScenarioModel>`
  `findPreservation(com.fasterxml.jackson.databind.JsonNode dslQuery)`
  `RequestResponse<PreservationScenarioModel>`
  `findPreservationByID(String id)`
  `RequestResponse<ProfileModel>`
  `findProfiles(com.fasterxml.jackson.databind.JsonNode query)`
  Find profiles according to the given query string (we can also use this method to find profile by identifier)
  `RequestResponse<ProfileModel>`
  `findProfilesByID(String id)`
  Find profile by id (id generated by the database)
  `RequestResponse<SecurityProfileModel>`
  `findSecurityProfileByIdentifier(String identifier)`
  Find a security profile by identifier
  `RequestResponse<SecurityProfileModel>`
  `findSecurityProfiles(com.fasterxml.jackson.databind.JsonNode queryDsl)`
  Find security profiles by DSL query By internal id By identifier By name By comlexe criteria
  `RequestResponse`
  `forcePause(ProcessPause info)`
  Pause the processes specified by ProcessPause info
  `RequestResponse<AccessionRegisterSummaryModel>`
  `getAccessionRegister(com.fasterxml.jackson.databind.JsonNode query)`
  Get the accession register summary matching the given query
  `RequestResponse<AccessionRegisterDetailModel>`
  `getAccessionRegisterDetail(com.fasterxml.jackson.databind.JsonNode query)`
  Get the accession register details matching the given query
  `RequestResponse<AccessionRegisterDetailModel>`
  `getAccessionRegisterDetail(String originatingAgency, com.fasterxml.jackson.databind.JsonNode query)`
  Get the accession register details matching the given query for the specified contract
  `RequestResponse<AccessionRegisterSymbolicModel>`
  `getAccessionRegisterSymbolic(Integer tenant, com.fasterxml.jackson.databind.JsonNode queryDsl)`
  Retrieve the accession register symbolic regarding the tenant and a date range.
  `com.fasterxml.jackson.databind.JsonNode`
  `getAgencies(com.fasterxml.jackson.databind.JsonNode query)`
  List the agencies that match the query
  `RequestResponse<AgenciesModel>`
  `getAgencyById(String id)`
  `RequestResponse<CombinedSchemaModel>`
  `getArchiveUnitProfileSchema(String id)`
  `com.fasterxml.jackson.databind.JsonNode`
  `getFormatByID(String id)`
  `RequestResponse<FileFormatModel>`
  `getFormats(com.fasterxml.jackson.databind.JsonNode query)`
  `RequestResponse<SchemaResponse>`
  `getObjectGroupSchema()`
  `RequestResponse<PublicConfiguration>`
  `getPublicConfiguration()`
  Get Vitam public configuration
  `com.fasterxml.jackson.databind.JsonNode`
  `getRuleByID(String id)`
  `com.fasterxml.jackson.databind.JsonNode`
  `getRules(com.fasterxml.jackson.databind.JsonNode query)`
  List the rules that match the query
  `RequestResponse<SchemaResponse>`
  `getUnitSchema()`
  `jakarta.ws.rs.core.Response.Status`
  `importAccessContracts(List<AccessContractModel> accessContractModelList)`
  Import a set of access contracts after passing the validation steps If all the contracts are valid, they are stored in the collection and indexed The input is invalid in the following situations : The json is invalid The json have an id already set The json contains 2 ore many contracts having the same name One or more mandatory field is missing A field has an invalid format One or many contracts Already exist in the database
  `jakarta.ws.rs.core.Response.Status`
  `importAgenciesFile(InputStream stream, String filename)`
  Import agencies for a given tenant
  `jakarta.ws.rs.core.Response.Status`
  `importContexts(List<ContextModel> contextModelList)`
  Import a set of context
  `jakarta.ws.rs.core.Response.Status`
  `importFormat(InputStream stream, String filename)`
  `RequestResponse<GriffinModel>`
  `importGriffins(List<GriffinModel> griffinModelList)`
  `jakarta.ws.rs.core.Response.Status`
  `importIngestContracts(List<IngestContractModel> ingestContractModelList)`
  Import a set of ingest contracts after passing the validation steps If all the contracts are valid, they are stored in the collection and indexed The input is invalid in the following situations : The json is invalid The json contains 2 ore many contracts having the same name One or more mandatory field is missing A field has an invalid format One or many contracts elready exist in the database
  `jakarta.ws.rs.core.Response.Status`
  `importManagementContracts(List<ManagementContractModel> managementContractModelList)`
  Import a set of management contracts after passing the validation steps If all the contracts are valid, they are stored in the collection and indexed The input is invalid in the following situations : The json is invalid The json have an id already set The json contains 2 ore many contracts having the same name One or more mandatory field is missing A field has an invalid format One or many contracts Already exist in the database One or many storage strategies are invalid
  `RequestResponse`
  `importOntologies(boolean forceUpdate, List<OntologyModel> ontologyModelList)`
  Import a set of ontologies metadata.
  `RequestResponse<PreservationScenarioModel>`
  `importPreservationScenarios(List<PreservationScenarioModel> preservationScenarioModels)`
  `RequestResponse<ProfileModel>`
  `importProfileFile(String profileMetadataId, InputStream stream)`
  `jakarta.ws.rs.core.Response.Status`
  `importRulesFile(InputStream stream, String filename)`
  Import a the set of rules for a given tenant
  `jakarta.ws.rs.core.Response.Status`
  `importSecurityProfiles(List<SecurityProfileModel> securityProfileModelList)`
  Import a set of security profiles after passing the validation steps.
  `jakarta.ws.rs.core.Response.Status`
  `importUnitExternalSchema(List<SchemaInputModel> externalSchemaInputList)`
  Import a set of external unit schema.
  `RequestResponse<com.fasterxml.jackson.databind.JsonNode>`
  `launchAuditWorkflow(AuditOptions options, boolean checkAccessContract)`
  launch audit with options
  `RequestResponse<com.fasterxml.jackson.databind.JsonNode>`
  `launchReferentialAudit(AuditReferentialOptions auditReferentialOptions)`
  `RequestResponse<ReindexationResult>`
  `launchReindexation(com.fasterxml.jackson.databind.JsonNode options)`
  launch a reindexation process with options
  `RequestResponse<com.fasterxml.jackson.databind.JsonNode>`
  `launchRuleAudit(List<Integer> tenants)`
  launch audit for rule management
  `void`
  `reconstructAccessionRegister(List<ReconstructionRequestItem> reconstructionItems)`
  `void`
  `reconstructCollection(String collection)`
  `RequestResponse<com.fasterxml.jackson.databind.JsonNode>`
  `rectificationAudit(String operationId)`
  Launch rectification Audit
  `RequestResponse`
  `removeForcePause(ProcessPause info)`
  Remove the pause for the processes specified by ProcessPause info
  `RequestResponse<Boolean>`
  `securityProfileIsUsedInContexts(String securityProfileId)`
  Find if security profile is used in contexts
  `RequestResponse<ReindexationResult>`
  `switchIndexes(com.fasterxml.jackson.databind.JsonNode options)`
  launch an index switch.
  `RequestResponse<AccessContractModel>`
  `updateAccessContract(String id, com.fasterxml.jackson.databind.JsonNode queryDsl)`
  Update AccessContract to mongo
  `RequestResponse<ArchiveUnitProfileModel>`
  `updateArchiveUnitProfile(String id, com.fasterxml.jackson.databind.JsonNode queryDsl)`
  Update a profile
  `RequestResponse<ContextModel>`
  `updateContext(String id, com.fasterxml.jackson.databind.JsonNode queryDsl)`
  Update context to mongo
  `RequestResponse<IngestContractModel>`
  `updateIngestContract(String id, com.fasterxml.jackson.databind.JsonNode queryDsl)`
  Update IngestContract to mongo
  `RequestResponse<ManagementContractModel>`
  `updateManagementContract(String id, com.fasterxml.jackson.databind.JsonNode queryDsl)`
  Update ManagementContract to mongo
  `RequestResponse<ProfileModel>`
  `updateProfile(String id, com.fasterxml.jackson.databind.JsonNode queryDsl)`
  Update a profile
  `RequestResponse<SecurityProfileModel>`
  `updateSecurityProfile(String identifier, com.fasterxml.jackson.databind.JsonNode queryDsl)`
  Updates a security context

  ### Methods inherited from interface fr.gouv.vitam.common.client.MockOrRestClient

  `checkStatus, checkStatus, close, consumeAnyEntityAndClose, getResourcePath, getServiceUrl`

- ## Method Details

  - ### checkFormat

    jakarta.ws.rs.core.Response checkFormat(InputStream stream) throws ReferentialException
    Parameters:
      `stream` - as InputStream;
    Returns:
      Response
    Throws:
      `ReferentialException` - when check exception occurs

  - ### importFormat

    jakarta.ws.rs.core.Response.Status importFormat(InputStream stream, String filename) throws ReferentialException, DatabaseConflictException
    Parameters:
      `stream` - as InputStream
      `filename` - name of the imported file
    Returns:
      the response to the request
    Throws:
      `ReferentialException` - when import exception occurs
      `DatabaseConflictException` - conflict exception occurs

  - ### getFormatByID

    com.fasterxml.jackson.databind.JsonNode getFormatByID(String id) throws ReferentialException, InvalidParseOperationException
    Parameters:
      `id` - as String
    Returns:
      JsonNode
    Throws:
      `ReferentialException` - check exception occurs
      `InvalidParseOperationException` - when json exception occurs

  - ### getFormats

    RequestResponse<FileFormatModel> getFormats(com.fasterxml.jackson.databind.JsonNode query) throws ReferentialException, InvalidParseOperationException, IOException
    Parameters:
      `query` - as JsonNode
    Returns:
      JsonNode
    Throws:
      `ReferentialException` - when referential format exception occurs
      `InvalidParseOperationException` - when json exception occurs
      `IOException` - when io data exception occurs

  - ### checkRulesFile

    jakarta.ws.rs.core.Response checkRulesFile(InputStream stream) throws FileRulesException, AdminManagementClientServerException
    Check if rule file is well formated
    Parameters:
      `stream` - rule file inputstream to check
    Returns:
      Response
    Throws:
      `FileRulesException`
      `AdminManagementClientServerException`

  - ### checkAgenciesFile

    jakarta.ws.rs.core.Response checkAgenciesFile(InputStream stream) throws ReferentialException, AdminManagementClientServerException
    Check if agencies file is well formated
    Parameters:
      `stream` - agencies file inputstream to check
    Returns:
      Response
    Throws:
      `FileRulesException`
      `AdminManagementClientServerException`
      `ReferentialException`

  - ### importRulesFile

    jakarta.ws.rs.core.Response.Status importRulesFile(InputStream stream, String filename) throws ReferentialException, DatabaseConflictException
    Import a the set of rules for a given tenant
    Parameters:
      `stream` - rule file inputstream to import
      `filename` - name of the imported file
    Returns:
      the response to the request
    Throws:
      `ReferentialException` - when file rules exception occurs
      `DatabaseConflictException` - when Database conflict exception occurs
      `AdminManagementClientServerException`

  - ### importAgenciesFile

    jakarta.ws.rs.core.Response.Status importAgenciesFile(InputStream stream, String filename) throws ReferentialException
    Import agencies for a given tenant
    Parameters:
      `stream` - agency file inputstream to import
      `filename` - name of the imported file
    Returns:
      the response to the request
    Throws:
      `ReferentialException` - when file rules exception occurs
      `DatabaseConflictException` - when Database conflict exception occurs
      `AdminManagementClientServerException`

  - ### getAgencyById

    RequestResponse<AgenciesModel> getAgencyById(String id) throws InvalidParseOperationException, ReferentialNotFoundException, AdminManagementClientServerException
    Parameters:
      `id` - The agency identifier
    Returns:
      agency in JsonNode agency
    Throws:
      `ReferentialNotFoundException` - when file referential exception occurs
      `InvalidParseOperationException` - when a parse problem occurs
      `AdminManagementClientServerException`

  - ### getAgencies

    com.fasterxml.jackson.databind.JsonNode getAgencies(com.fasterxml.jackson.databind.JsonNode query) throws ReferentialException, InvalidParseOperationException, AdminManagementClientServerException
    List the agencies that match the query
    Parameters:
      `query` - to get agencies
    Returns:
      The server response as vitam RequestResponse
    Throws:
      `ReferentialException` - when file referential exception occurs
      `InvalidParseOperationException` - when a parse problem occurs
      `IOException` - when IO Exception occurs
      `AdminManagementClientServerException` - when admin management resources not found

  - ### getRuleByID

    com.fasterxml.jackson.databind.JsonNode getRuleByID(String id) throws FileRulesException, InvalidParseOperationException, AdminManagementClientServerException
    Parameters:
      `id` - The rule identifier
    Returns:
      Rule in JsonNode format
    Throws:
      `FileRulesException` - when file rules exception occurs
      `InvalidParseOperationException` - when a parse problem occurs
      `AdminManagementClientServerException`

  - ### getRules

    com.fasterxml.jackson.databind.JsonNode getRules(com.fasterxml.jackson.databind.JsonNode query) throws FileRulesException, InvalidParseOperationException, IOException, AdminManagementClientServerException
    List the rules that match the query
    Parameters:
      `query` - to get rule
    Returns:
      Rules in JsonNode format
    Throws:
      `FileRulesException` - when file rules exception occurs
      `InvalidParseOperationException` - when a parse problem occurs
      `IOException` - when IO Exception occurs
      `AdminManagementClientServerException` - when admin management resources not found

  - ### createOrUpdateAccessionRegister

    RequestResponse<AccessionRegisterDetailModel> createOrUpdateAccessionRegister(AccessionRegisterDetailModel register) throws AdminManagementClientServerException
    Parameters:
      `register` - AccessionRegisterDetail
    Throws:
      `AdminManagementClientServerException` - when

  - ### getAccessionRegister

    RequestResponse<AccessionRegisterSummaryModel> getAccessionRegister(com.fasterxml.jackson.databind.JsonNode query) throws InvalidParseOperationException, ReferentialException, AccessUnauthorizedException
    Get the accession register summary matching the given query
    Parameters:
      `query` - The DSL Query as JsonNode
    Returns:
      instance of RequestResponse of type AccessionRegisterSummaryModel
    Throws:
      `InvalidParseOperationException`
      `ReferentialException`
      `AccessUnauthorizedException`

  - ### getAccessionRegisterDetail

    RequestResponse<AccessionRegisterDetailModel> getAccessionRegisterDetail(String originatingAgency, com.fasterxml.jackson.databind.JsonNode query) throws InvalidParseOperationException, ReferentialException
    Get the accession register details matching the given query for the specified contract
    Parameters:
      `query` - The DSL Query as a JSON Node
    Returns:
      The AccessionregisterDetails list as a response jsonNode
    Throws:
      `InvalidParseOperationException`
      `ReferentialException`

  - ### getAccessionRegisterDetail

    RequestResponse<AccessionRegisterDetailModel> getAccessionRegisterDetail(com.fasterxml.jackson.databind.JsonNode query) throws InvalidParseOperationException, ReferentialException
    Get the accession register details matching the given query
    Parameters:
      `query` - The DSL Query as a JSON Node
    Returns:
      The AccessionregisterDetails list as a response jsonNode
    Throws:
      `InvalidParseOperationException`
      `ReferentialException`

  - ### importIngestContracts

    jakarta.ws.rs.core.Response.Status importIngestContracts(List<IngestContractModel> ingestContractModelList) throws InvalidParseOperationException, AdminManagementClientServerException
    Import a set of ingest contracts after passing the validation steps If all the contracts are valid, they are stored in the collection and indexed The input is invalid in the following situations :
    - The json is invalid
    - The json contains 2 ore many contracts having the same name
    - One or more mandatory field is missing
    - A field has an invalid format
    - One or many contracts elready exist in the database
    Parameters:
      `ingestContractModelList` - the contract to import
    Returns:
      The server response as vitam RequestResponse
    Throws:
      `InvalidParseOperationException`
      `AdminManagementClientServerException`

  - ### importAccessContracts

    jakarta.ws.rs.core.Response.Status importAccessContracts(List<AccessContractModel> accessContractModelList) throws InvalidParseOperationException, AdminManagementClientServerException
    Import a set of access contracts after passing the validation steps If all the contracts are valid, they are stored in the collection and indexed The input is invalid in the following situations :
    - The json is invalid
    - The json have an id already set
    - The json contains 2 ore many contracts having the same name
    - One or more mandatory field is missing
    - A field has an invalid format
    - One or many contracts Already exist in the database
    Parameters:
      `accessContractModelList` - the list contract to import
    Returns:
      The server response as vitam RequestResponse
    Throws:
      `VitamClientInternalException`
      `InvalidParseOperationException`
      `AdminManagementClientServerException`

  - ### importManagementContracts

    jakarta.ws.rs.core.Response.Status importManagementContracts(List<ManagementContractModel> managementContractModelList) throws InvalidParseOperationException, AdminManagementClientServerException
    Import a set of management contracts after passing the validation steps If all the contracts are valid, they are stored in the collection and indexed The input is invalid in the following situations :
    - The json is invalid
    - The json have an id already set
    - The json contains 2 ore many contracts having the same name
    - One or more mandatory field is missing
    - A field has an invalid format
    - One or many contracts Already exist in the database
    - One or many storage strategies are invalid
    Parameters:
      `managementContractModelList` - the list contract to import
    Returns:
      The server response as vitam RequestResponse
    Throws:
      `VitamClientInternalException`
      `InvalidParseOperationException`
      `AdminManagementClientServerException`

  - ### updateAccessContract

    RequestResponse<AccessContractModel> updateAccessContract(String id, com.fasterxml.jackson.databind.JsonNode queryDsl) throws InvalidParseOperationException, AdminManagementClientServerException, ReferentialNotFoundException
    Update AccessContract to mongo
    Parameters:
      `id` - the given access contract id to update
      `queryDsl` - query to execute
    Returns:
      The server response as vitam RequestResponse
    Throws:
      `InvalidParseOperationException`
      `AdminManagementClientServerException`
      `ReferentialNotFoundException`

  - ### updateIngestContract

    RequestResponse<IngestContractModel> updateIngestContract(String id, com.fasterxml.jackson.databind.JsonNode queryDsl) throws InvalidParseOperationException, AdminManagementClientServerException, ReferentialNotFoundException
    Update IngestContract to mongo
    Parameters:
      `id` - the given Ingest contract id to update
      `queryDsl` - query to execute
    Returns:
      The server response as vitam RequestResponse
    Throws:
      `InvalidParseOperationException`
      `AdminManagementClientServerException`
      `ReferentialNotFoundException`

  - ### updateManagementContract

    RequestResponse<ManagementContractModel> updateManagementContract(String id, com.fasterxml.jackson.databind.JsonNode queryDsl) throws InvalidParseOperationException, AdminManagementClientServerException, ReferentialNotFoundException
    Update ManagementContract to mongo
    Parameters:
      `id` - the given access contract id to update
      `queryDsl` - query to execute
    Returns:
      The server response as vitam RequestResponse
    Throws:
      `InvalidParseOperationException`
      `AdminManagementClientServerException`
      `ReferentialNotFoundException`

  - ### findAccessContracts

    RequestResponse<AccessContractModel> findAccessContracts(com.fasterxml.jackson.databind.JsonNode queryDsl) throws InvalidParseOperationException, AdminManagementClientServerException
    Find access contracts
    - By id mongo
    - By the name
    - By comlexe criteria
    Parameters:
      `queryDsl` -
    Returns:
      The server response as vitam RequestResponse
    Throws:
      `VitamClientInternalException`
      `InvalidParseOperationException`
      `AdminManagementClientServerException`

  - ### findAccessContractsByID

    RequestResponse<AccessContractModel> findAccessContractsByID(String documentId) throws InvalidParseOperationException, AdminManagementClientServerException, ReferentialNotFoundException
    Parameters:
      `documentId` -
    Returns:
      The server response as vitam RequestResponse
    Throws:
      `InvalidParseOperationException`
      `AdminManagementClientServerException`
      `ReferentialNotFoundException`

  - ### findIngestContracts

    RequestResponse<IngestContractModel> findIngestContracts(com.fasterxml.jackson.databind.JsonNode query) throws InvalidParseOperationException, AdminManagementClientServerException
    Parameters:
      `query` -
    Returns:
      The server response as vitam RequestResponse
    Throws:
      `InvalidParseOperationException`
      `AdminManagementClientServerException`

  - ### findIngestContractsByID

    RequestResponse<IngestContractModel> findIngestContractsByID(String id) throws InvalidParseOperationException, AdminManagementClientServerException, ReferentialNotFoundException
    Parameters:
      `id` -
    Returns:
      The server response as vitam RequestResponse
    Throws:
      `InvalidParseOperationException`
      `AdminManagementClientServerException`
      `ReferentialNotFoundException`

  - ### findManagementContracts

    RequestResponse<ManagementContractModel> findManagementContracts(com.fasterxml.jackson.databind.JsonNode queryDsl) throws InvalidParseOperationException, AdminManagementClientServerException
    Find management contracts
    - By id mongo
    - By the name
    - By comlexe criteria
    Parameters:
      `queryDsl` -
    Returns:
      The server response as vitam RequestResponse
    Throws:
      `VitamClientInternalException`
      `InvalidParseOperationException`
      `AdminManagementClientServerException`

  - ### findManagementContractsByID

    RequestResponse<ManagementContractModel> findManagementContractsByID(String documentId) throws InvalidParseOperationException, AdminManagementClientServerException, ReferentialNotFoundException
    Parameters:
      `documentId` -
    Returns:
      The server response as vitam RequestResponse
    Throws:
      `InvalidParseOperationException`
      `AdminManagementClientServerException`
      `ReferentialNotFoundException`

  - ### createProfiles

    RequestResponse createProfiles(List<ProfileModel> profileModelList) throws InvalidParseOperationException, AdminManagementClientServerException
    Import a set of profile If all the profiles are valid, they will be stored in the collection and indexed The input is invalid in the following situations :
    - The json is invalid
    - The json contains 2 ore many profile having the same name
    - One or more mandatory field is missing
    - A field has an invalid format
    - One or many profiles already exist in the database
    Parameters:
      `profileModelList` - the list profile to import
    Returns:
      The server response as vitam RequestResponse
    Throws:
      `VitamClientInternalException`
      `InvalidParseOperationException`
      `AdminManagementClientServerException`

  - ### importProfileFile

    RequestResponse<ProfileModel> importProfileFile(String profileMetadataId, InputStream stream) throws ReferentialException, DatabaseConflictException
    Parameters:
      `profileMetadataId` - the id of the profile metadata corresponding to the file
      `stream` - as InputStream
    Returns:
      the response to the request
    Throws:
      `ReferentialException` - when import exception occurs
      `DatabaseConflictException` - conflict exception occurs

  - ### downloadProfileFile

    jakarta.ws.rs.core.Response downloadProfileFile(String profileMetadataId) throws AdminManagementClientServerException, ProfileNotFoundException
    Download the profile file according to profileMetadataId
    Parameters:
      `profileMetadataId` -
    Returns:
      Response
    Throws:
      `AdminManagementClientServerException`
      `ProfileNotFoundException`

  - ### findProfiles

    RequestResponse<ProfileModel> findProfiles(com.fasterxml.jackson.databind.JsonNode query) throws InvalidParseOperationException, AdminManagementClientServerException
    Find profiles according to the given query string (we can also use this method to find profile by identifier)
    Parameters:
      `query` -
    Returns:
      The server response as vitam RequestResponse
    Throws:
      `InvalidParseOperationException`
      `AdminManagementClientServerException`

  - ### findProfilesByID

    RequestResponse<ProfileModel> findProfilesByID(String id) throws InvalidParseOperationException, AdminManagementClientServerException, ReferentialNotFoundException
    Find profile by id (id generated by the database)
    Parameters:
      `id` -
    Returns:
      The server response as vitam RequestResponse
    Throws:
      `InvalidParseOperationException`
      `AdminManagementClientServerException`
      `ReferentialNotFoundException`

  - ### updateProfile

    RequestResponse<ProfileModel> updateProfile(String id, com.fasterxml.jackson.databind.JsonNode queryDsl) throws AdminManagementClientServerException, InvalidParseOperationException, ReferentialNotFoundException
    Update a profile
    Parameters:
      `id` -
      `queryDsl` -
    Returns:
    Throws:
      `AdminManagementClientServerException`
      `InvalidParseOperationException`
      `ReferentialNotFoundException`

  - ### importContexts

    jakarta.ws.rs.core.Response.Status importContexts(List<ContextModel> contextModelList) throws ReferentialException
    Import a set of context
    Parameters:
      `contextModelList` -
    Returns:
      Status
    Throws:
      `ReferentialException`

  - ### updateContext

    RequestResponse<ContextModel> updateContext(String id, com.fasterxml.jackson.databind.JsonNode queryDsl) throws InvalidParseOperationException, AdminManagementClientServerException, ReferentialNotFoundException
    Update context to mongo
    Parameters:
      `id` -
      `queryDsl` -
    Returns:
      The server response as vitam RequestResponse
    Throws:
      `InvalidParseOperationException`
      `AdminManagementClientServerException`
      `ReferentialNotFoundException`

  - ### findContexts

    RequestResponse<ContextModel> findContexts(com.fasterxml.jackson.databind.JsonNode queryDsl) throws InvalidParseOperationException, AdminManagementClientServerException
    Find contexts
    Parameters:
      `queryDsl` -
    Returns:
      The server response as vitam RequestResponse
    Throws:
      `InvalidParseOperationException`
      `AdminManagementClientServerException`

  - ### findContextById

    RequestResponse<ContextModel> findContextById(String id) throws InvalidParseOperationException, ReferentialNotFoundException, AdminManagementClientServerException
    Find context by id
    Parameters:
      `id` -
    Returns:
      The server response as vitam RequestResponse
    Throws:
      `InvalidParseOperationException`
      `ReferentialNotFoundException`
      `AdminManagementClientServerException`

  - ### securityProfileIsUsedInContexts

    RequestResponse<Boolean> securityProfileIsUsedInContexts(String securityProfileId) throws InvalidParseOperationException, ReferentialNotFoundException, AdminManagementClientServerException
    Find if security profile is used in contexts
    Parameters:
      `securityProfileId` -
    Returns:
      The server response as vitam RequestResponse
    Throws:
      `InvalidParseOperationException`
      `ReferentialNotFoundException`
      `AdminManagementClientServerException`

  - ### launchAuditWorkflow

    RequestResponse<com.fasterxml.jackson.databind.JsonNode> launchAuditWorkflow(AuditOptions options, boolean checkAccessContract) throws AdminManagementClientServerException
    launch audit with options
    Parameters:
      `options` -
    Returns:
    Throws:
      `AdminManagementClientServerException`

  - ### launchReferentialAudit

    RequestResponse<com.fasterxml.jackson.databind.JsonNode> launchReferentialAudit(AuditReferentialOptions auditReferentialOptions) throws AdminManagementClientServerException
    Throws:
      `AdminManagementClientServerException`

  - ### launchRuleAudit

    RequestResponse<com.fasterxml.jackson.databind.JsonNode> launchRuleAudit(List<Integer> tenants) throws AdminManagementClientServerException, InvalidParseOperationException
    launch audit for rule management
    Returns:
      The server response as vitam RequestResponse
    Throws:
      `AdminManagementClientServerException`
      `InvalidParseOperationException`

  - ### importSecurityProfiles

    jakarta.ws.rs.core.Response.Status importSecurityProfiles(List<SecurityProfileModel> securityProfileModelList) throws InvalidParseOperationException, AdminManagementClientServerException
    Import a set of security profiles after passing the validation steps. If all the security profiles are valid, they are stored in the database. The input is invalid in the following situations :
    - The json is invalid
    - The json contains 2 ore many contracts having the same name or identifier
    - One or more mandatory field is missing
    - A field has an invalid format
    - One or many security profiles already exist in the database
    Parameters:
      `securityProfileModelList` - the security profiles to import
    Returns:
      The server response as vitam RequestResponse
    Throws:
      `VitamClientInternalException`
      `InvalidParseOperationException`
      `AdminManagementClientServerException`

  - ### updateSecurityProfile

    RequestResponse<SecurityProfileModel> updateSecurityProfile(String identifier, com.fasterxml.jackson.databind.JsonNode queryDsl) throws InvalidParseOperationException, AdminManagementClientServerException, ReferentialNotFoundException
    Updates a security context
    Parameters:
      `identifier` - the identifier of the security profile to update
      `queryDsl` - query to execute
    Returns:
      The server response as vitam RequestResponse
    Throws:
      `InvalidParseOperationException`
      `AdminManagementClientServerException`
      `ReferentialNotFoundException`

  - ### findSecurityProfiles

    RequestResponse<SecurityProfileModel> findSecurityProfiles(com.fasterxml.jackson.databind.JsonNode queryDsl) throws InvalidParseOperationException, AdminManagementClientServerException
    Find security profiles by DSL query
    - By internal id
    - By identifier
    - By name
    - By comlexe criteria
    Parameters:
      `queryDsl` - the DSL query
    Returns:
      The server response as vitam RequestResponse
    Throws:
      `VitamClientInternalException`
      `InvalidParseOperationException`
      `AdminManagementClientServerException`

  - ### findSecurityProfileByIdentifier

    RequestResponse<SecurityProfileModel> findSecurityProfileByIdentifier(String identifier) throws InvalidParseOperationException, AdminManagementClientServerException, ReferentialNotFoundException
    Find a security profile by identifier
    Parameters:
      `identifier` - the identifier of the security profile
    Returns:
      The server response as vitam RequestResponse
    Throws:
      `InvalidParseOperationException`
      `AdminManagementClientServerException`
      `ReferentialNotFoundException`

  - ### launchReindexation

    RequestResponse<ReindexationResult> launchReindexation(com.fasterxml.jackson.databind.JsonNode options) throws AdminManagementClientServerException
    launch a reindexation process with options
    Parameters:
      `options` - specifying what to reindex
    Returns:
      the server response including information about the newsly created index
    Throws:
      `AdminManagementClientServerException`

  - ### switchIndexes

    RequestResponse<ReindexationResult> switchIndexes(com.fasterxml.jackson.databind.JsonNode options) throws AdminManagementClientServerException
    launch an index switch. By specifying the name of the index and the collection, the index will be mapped to the correct alias
    Parameters:
      `options` -
    Returns:
      the server response
    Throws:
      `AdminManagementClientServerException`

  - ### evidenceAudit

    RequestResponse<com.fasterxml.jackson.databind.JsonNode> evidenceAudit(com.fasterxml.jackson.databind.JsonNode queryDsl) throws AdminManagementClientServerException
    launch a traceability audit for the unit
    Parameters:
      `queryDsl` - the id
    Returns:
      the server response
    Throws:
      `AdminManagementClientServerException`

  - ### rectificationAudit

    RequestResponse<com.fasterxml.jackson.databind.JsonNode> rectificationAudit(String operationId) throws AdminManagementClientServerException
    Launch rectification Audit
    Parameters:
      `operationId` - operation Id
    Returns:
      RequestResponse
    Throws:
      `AdminManagementClientServerException`

  - ### exportProbativeValue

    RequestResponse<com.fasterxml.jackson.databind.JsonNode> exportProbativeValue(ProbativeValueRequest probativeValueRequest) throws AdminManagementClientServerException
    Launch an probative value export for the query
    Parameters:
      `probativeValueRequest` - the id
    Returns:
      the server response
    Throws:
      `AdminManagementClientServerException`

  - ### createArchiveUnitProfiles

    RequestResponse createArchiveUnitProfiles(List<ArchiveUnitProfileModel> archiveUnitProfileModelList) throws InvalidParseOperationException, AdminManagementClientServerException
    Import a set of archive unit profile metadata. If all the archive unit profiles are valid, they will be stored in the collection and indexed The input is invalid in the following situations :
    - The json is invalid
    - The json contains 2 ore many profile having the same name
    - One or more mandatory field is missing
    - A field has an invalid format
    - One or many profiles already exist in the database
    Parameters:
      `archiveUnitProfileModelList` - the list profile to import
    Returns:
      The server response as vitam RequestResponse
    Throws:
      `VitamClientInternalException`
      `InvalidParseOperationException`
      `AdminManagementClientServerException`

  - ### findArchiveUnitProfiles

    RequestResponse<ArchiveUnitProfileModel> findArchiveUnitProfiles(com.fasterxml.jackson.databind.JsonNode query) throws InvalidParseOperationException, AdminManagementClientServerException
    Find profiles according to the given json query (we can also use this method to find profile by identifier)
    Parameters:
      `query` -
    Returns:
      The server response as vitam RequestResponse
    Throws:
      `InvalidParseOperationException`
      `AdminManagementClientServerException`

  - ### findArchiveUnitProfilesByID

    RequestResponse<ArchiveUnitProfileModel> findArchiveUnitProfilesByID(String id) throws InvalidParseOperationException, AdminManagementClientServerException, ReferentialNotFoundException
    Find archive unit profile by technical id (id generated by the database)
    Parameters:
      `id` -
    Returns:
      The server response as vitam RequestResponse
    Throws:
      `InvalidParseOperationException`
      `AdminManagementClientServerException`
      `ReferentialNotFoundException`

  - ### updateArchiveUnitProfile

    RequestResponse<ArchiveUnitProfileModel> updateArchiveUnitProfile(String id, com.fasterxml.jackson.databind.JsonNode queryDsl) throws InvalidParseOperationException, AdminManagementClientServerException, ReferentialNotFoundException
    Update a profile
    Parameters:
      `id` -
      `queryDsl` -
    Returns:
      the updated ProfileModel for success
    Throws:
      `AdminManagementClientServerException`
      `InvalidParseOperationException`
      `ReferentialNotFoundException`

  - ### importOntologies

    RequestResponse importOntologies(boolean forceUpdate, List<OntologyModel> ontologyModelList) throws InvalidParseOperationException, AdminManagementClientServerException
    Import a set of ontologies metadata. If all the ontologies are valid, they will be stored in the ontology collection and indexed The input is invalid in the following situations :
    - The json is invalid
    - The json contains an already used identifier
    - One or more mandatory field is missing
    - A field has an invalid format
    Parameters:
      `forceUpdate` -
      `ontologyModelList` - the list of ontologies to import
    Returns:
      The server response as vitam RequestResponse
    Throws:
      `VitamClientInternalException`
      `InvalidParseOperationException`
      `AdminManagementClientServerException`

  - ### findOntologies

    RequestResponse<OntologyModel> findOntologies(com.fasterxml.jackson.databind.JsonNode query) throws InvalidParseOperationException
    Find ontologies according to the given json query (we can also use this method to find ontology by identifier)
    Parameters:
      `query` -
    Returns:
      The server response as vitam RequestResponse
    Throws:
      `InvalidParseOperationException`
      `AdminManagementClientServerException`

  - ### findOntologyByID

    RequestResponse<OntologyModel> findOntologyByID(String id) throws InvalidParseOperationException, AdminManagementClientServerException, ReferentialNotFoundException
    Find the ontology by technical id (id generated by the database)
    Parameters:
      `id` -
    Returns:
      The server response as vitam RequestResponse
    Throws:
      `InvalidParseOperationException`
      `AdminManagementClientServerException`
      `ReferentialNotFoundException`

  - ### forcePause

    RequestResponse forcePause(ProcessPause info) throws AdminManagementClientServerException
    Pause the processes specified by ProcessPause info
    Parameters:
      `info` - a ProcessPause object indicating the tenant and/or the type of process to pause
    Returns:
      The server response as vitam RequestResponse
    Throws:
      `AdminManagementClientServerException`

  - ### removeForcePause

    RequestResponse removeForcePause(ProcessPause info) throws AdminManagementClientServerException
    Remove the pause for the processes specified by ProcessPause info
    Parameters:
      `info` - a ProcessPause object indicating the tenant and/or the type of process to pause
    Returns:
      The server response as vitam RequestResponse
    Throws:
      `AdminManagementClientServerException`

  - ### createAccessionRegisterSymbolic

    RequestResponse<AccessionRegisterSymbolic> createAccessionRegisterSymbolic(List<Integer> tenants) throws AdminManagementClientServerException, InvalidParseOperationException
    Creates and return the accession register symbolic.
    Parameters:
      `tenants` - tenants list
    Returns:
      the accession register created
    Throws:
      `AdminManagementClientServerException`
      `InvalidParseOperationException`

  - ### getAccessionRegisterSymbolic

    RequestResponse<AccessionRegisterSymbolicModel> getAccessionRegisterSymbolic(Integer tenant, com.fasterxml.jackson.databind.JsonNode queryDsl) throws AdminManagementClientServerException
    Retrieve the accession register symbolic regarding the tenant and a date range.
    Parameters:
      `tenant` - related to the accession register
      `queryDsl` - search by dsl
    Returns:
      a lis of accession register symbolic or a empty list if nothing is found
    Throws:
      `AdminManagementClientServerException`

  - ### importGriffins

    RequestResponse<GriffinModel> importGriffins(List<GriffinModel> griffinModelList) throws AdminManagementClientServerException
    Throws:
      `AdminManagementClientServerException`

  - ### importPreservationScenarios

    RequestResponse<PreservationScenarioModel> importPreservationScenarios(List<PreservationScenarioModel> preservationScenarioModels) throws AdminManagementClientServerException
    Throws:
      `AdminManagementClientServerException`

  - ### findGriffinByID

    RequestResponse<GriffinModel> findGriffinByID(String id) throws InvalidParseOperationException, AdminManagementClientServerException, ReferentialNotFoundException
    Throws:
      `InvalidParseOperationException`
      `AdminManagementClientServerException`
      `ReferentialNotFoundException`

  - ### findPreservationByID

    RequestResponse<PreservationScenarioModel> findPreservationByID(String id) throws InvalidParseOperationException, AdminManagementClientServerException, ReferentialNotFoundException
    Throws:
      `InvalidParseOperationException`
      `AdminManagementClientServerException`
      `ReferentialNotFoundException`

  - ### findPreservation

    RequestResponse<PreservationScenarioModel> findPreservation(com.fasterxml.jackson.databind.JsonNode dslQuery) throws AdminManagementClientServerException, InvalidParseOperationException, ReferentialNotFoundException
    Throws:
      `AdminManagementClientServerException`
      `InvalidParseOperationException`
      `ReferentialNotFoundException`

  - ### findGriffin

    RequestResponse<GriffinModel> findGriffin(com.fasterxml.jackson.databind.JsonNode dslQuery) throws AdminManagementClientServerException, InvalidParseOperationException, ReferentialNotFoundException
    Throws:
      `AdminManagementClientServerException`
      `InvalidParseOperationException`
      `ReferentialNotFoundException`

  - ### createExternalOperation

    jakarta.ws.rs.core.Response.Status createExternalOperation(LogbookOperationParameters logbookOperationparams) throws AdminManagementClientServerException, BadRequestException, LogbookClientAlreadyExistsException
    Create external logbook operation entry
    Parameters:
      `logbookOperationparams` - the logbook parameters to be created
    Returns:
      RequestResponse status of the insertion
    Throws:
      `AdminManagementClientServerException`
      `LogbookClientAlreadyExistsException`
      `BadRequestException`

  - ### findJobs

    RequestResponse<com.fasterxml.jackson.databind.JsonNode> findJobs() throws AdminManagementClientServerException
    Throws:
      `AdminManagementClientServerException`

  - ### reconstructCollection

    void reconstructCollection(String collection) throws AdminManagementClientServerException
    Throws:
      `AdminManagementClientServerException`

  - ### reconstructAccessionRegister

    void reconstructAccessionRegister(List<ReconstructionRequestItem> reconstructionItems) throws AdminManagementClientServerException
    Throws:
      `AdminManagementClientServerException`

  - ### getUnitSchema

    RequestResponse<SchemaResponse> getUnitSchema() throws AdminManagementClientServerException
    Throws:
      `AdminManagementClientServerException`

  - ### getArchiveUnitProfileSchema

    RequestResponse<CombinedSchemaModel> getArchiveUnitProfileSchema(String id) throws AdminManagementClientServerException
    Throws:
      `AdminManagementClientServerException`

  - ### getObjectGroupSchema

    RequestResponse<SchemaResponse> getObjectGroupSchema() throws AdminManagementClientServerException
    Throws:
      `AdminManagementClientServerException`

  - ### importUnitExternalSchema

    jakarta.ws.rs.core.Response.Status importUnitExternalSchema(List<SchemaInputModel> externalSchemaInputList) throws InvalidParseOperationException, AdminManagementClientServerException
    Import a set of external unit schema.
    - The json is invalid
    - The json contains an already used identifier
    - One or more mandatory field is missing
    - A field has an invalid format
    Parameters:
      `externalSchemaInputList` - the list of external unit schema to import
    Returns:
      The server response as vitam RequestResponse
    Throws:
      `VitamClientInternalException`
      `InvalidParseOperationException`
      `AdminManagementClientServerException`

  - ### deleteUnitExternalSchemas

    jakarta.ws.rs.core.Response.Status deleteUnitExternalSchemas(List<String> paths) throws InvalidParseOperationException, AdminManagementClientServerException
    Delete one or more external schemas by path(s)
    Parameters:
      `paths` - schemas paths
    Returns:
      status
    Throws:
      `InvalidParseOperationException`
      `AdminManagementClientServerException`

  - ### getPublicConfiguration

    RequestResponse<PublicConfiguration> getPublicConfiguration() throws AdminManagementClientServerException
    Get Vitam public configuration
    Throws:
      `AdminManagementClientServerException`